### Hierarchy

- unknown
  - XmrAddressEntryList

## Index

### Constructors

- constructor

### Methods

- addXmrAddressEntry
- clearXmrAddressEntryList
- getXmrAddressEntryList
- serializeBinary
- setXmrAddressEntryList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new XmrAddressEntryList(): XmrAddressEntryList

- Inherited from jspb.Message.constructor

  #### Returns XmrAddressEntryList

## Methods

### addXmrAddressEntry

- addXmrAddressEntry(value?: XmrAddressEntry, index?: number): XmrAddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6330

  #### Parameters

  - ##### Optional value: XmrAddressEntry

  - ##### Optional index: number

  #### Returns XmrAddressEntry

### clearXmrAddressEntryList

- clearXmrAddressEntryList(): XmrAddressEntryList

- - Defined in src/protobuf/pb_pb.d.ts:6329

  #### Returns XmrAddressEntryList

### getXmrAddressEntryList

- getXmrAddressEntryList(): XmrAddressEntry []

- - Defined in src/protobuf/pb_pb.d.ts:6327

  #### Returns XmrAddressEntry []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6332

  #### Returns Uint8Array

### setXmrAddressEntryList

- setXmrAddressEntryList(value: XmrAddressEntry []): XmrAddressEntryList

- - Defined in src/protobuf/pb_pb.d.ts:6328

  #### Parameters

  - ##### value: XmrAddressEntry []

  #### Returns XmrAddressEntryList

### toObject

- toObject(includeInstance?: boolean): XmrAddressEntryList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6333

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns XmrAddressEntryList . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrAddressEntryList

- - Defined in src/protobuf/pb_pb.d.ts:6336

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrAddressEntryList

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrAddressEntryList, reader: BinaryReader): XmrAddressEntryList

- - Defined in src/protobuf/pb_pb.d.ts:6337

  #### Parameters

  - ##### message: XmrAddressEntryList

  - ##### reader: BinaryReader

  #### Returns XmrAddressEntryList

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrAddressEntryList, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6335

  #### Parameters

  - ##### message: XmrAddressEntryList

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: XmrAddressEntryList ): XmrAddressEntryList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6334

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrAddressEntryList

  #### Returns XmrAddressEntryList . AsObject

Generated using TypeDoc